#!/bin/bash
#Description: DevKit constants
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2023. All rights reserved.
#History: 2024-10-21 created

function main() {
    database_path="$1"
    user_name="$2"
    regex="^[a-zA-Z][a-zA-Z0-9_-]{5,31}$"
    if [[ ! $user_name =~ $regex ]]; then
      echo "输入参数不符合规范"
      exit 1
    fi
    sqlite3=$(which sqlite3)
    ${sqlite3} "${database_path}"<< EOF
    delete from devtools_tasks_uploadtask where username="${user_name}";
    delete from devtools_tasks_portingtask where username="${user_name}";
    delete from ssh_key_sshkeys where username="${user_name}";
EOF

    task_ids=$("$(which sqlite3)" "${database_path}" "select id from devtools_tasks_devtoolstask where username=\"$user_name\";")
    "$(which sqlite3)" "${database_path}" "delete from devtools_tasks_devtoolstask where username=\"${user_name}\";"
    for task_id in $task_ids; do
        ids=$("$(which sqlite3)" "${database_path}" "select id from devtools_tasks_node where task_id=\"$task_id\";")
        "$(which sqlite3)" "${database_path}" "delete from devtools_tasks_node where task_id=\"$task_id\";"
        for id in ${ids}; do
            "$(which sqlite3)" "${database_path}" "delete from devtools_tasks_sdkdeployinfo where node_id=\"$id\";"
        done

    done
}
main "$@"
